1. myp2's Avatar
    Hi there,
    Iphone3 with 4.2.1 and firmware 05.15.04,
    I've done so much reading that I'm not sure where to start or what to use.
    (this phone was just given to me after it cost my daughter several hundred $$ to get fixed after trying a jailbreak, so I don't want to mess it up)
    It seems that this version and firmware is not the easiest to jailbreak, and I'm not sure about changing the firmware. I don't want to lose my functions working!
    Any advice/help would be greatly appreciated!!!! using windows xp.
    Thanks in advance
    2011-08-03 01:39 AM
  2. Mes's Avatar
    First thing. Do you need an unlock? If yes, one choice ... iPad baseband 6.15.xx which breaks GPS
    Second: Any 3.x firmware is free and easy to load. 4.x firmware requires SHSH blobs.
    ...... Use Tiny Umbrella to get from both Apple and Cydia (check / uncheck Advanced "get from Cydia")
    Third: 3.1.3 is really the best firmware for the 3G. 4.2.1 is ok, but a bit sluggish.

    Get your SHSH blobs, decide what you want, then report back for better information.
    Also, check the links in my signature. Lots of valuable information to know.
    2011-08-03 02:41 AM
  3. myp2's Avatar
    no the phone is unlocked, ok, so if i dont need to unlock can i stay with this baseband or do i still need to get ipad 6.15?
    I thought you couldn't downgrade from 4.2.1, or is that what tiny umbrella is used for? sorry if I dont completely understand,I havent had much to do with iphone.
    Last edited by myp2; 2011-08-03 at 03:13 AM.
    2011-08-03 03:00 AM
  4. Mes's Avatar
    Good. What about my remaining questions?
    2011-08-03 03:05 AM
  5. myp2's Avatar
    -to check for shsh blobs on phone should i use the tinyumbrella-5.00.09?

    Use Tiny Umbrella to get from both Apple and Cydia (check / uncheck Advanced "get from Cydia") I dont understand this

    is there a big difference between 3.1.3 and 4.2.1 , the firmware just makes a difference with how apps run and what you can use??
    2011-08-03 03:39 AM
  6. Mes's Avatar
    ... so if i dont need to unlock can i stay with this baseband
    Yes
    ... I thought you couldn't downgrade from 4.2.1, or is that what tiny umbrella is used for?...
    You can download to any 3.x version anytime ''without'' SHSH blobs. iOS 4.0 and higher are different and require SHSH blobs. Tiny Umbrella saves and retrieves SHSH blobs for old 4.x firmwares (if any) and allows loading of old firmwares
    -to check for shsh blobs on phone should i use the tinyumbrella-5.00.09?...
    The version in the link. Currently 5.00.09.
    Use Tiny Umbrella to get from both Apple and Cydia (check / uncheck Advanced "get from Cydia") I dont understand this..
    These are options when you run Tiny Umbrella from your computer.
    ..is there a big difference between 3.1.3 and 4.2.1..
    The latest 3G iOS (4.2.1) is a bit slow. 3.1.3 is better. Some AppStore apps will not run on 3.1.3. You must decide which version is best for your needs. The procedure is different for 3.x and 4.x.
    2011-08-03 03:53 AM
  7. myp2's Avatar
    ok, checked for shsh. said 4.2.1 saved checked shsh folder and there are 2 files
    -iphone1,2-4.1.shsh -iphone1,2-4.2.1.shsh
    2011-08-03 04:38 AM
  8. Mes's Avatar
    You have choices.

    Load any iOS 3.x
    Load 4.1 or 4.2.1

    You choose. The procedure is different betwen 3.x and 4.x

    Note: Read, re-read and try to understand the Jailbreaking links in my signature. They are important.
    I'm gone for the rest of this evening.
    2011-08-03 04:46 AM
  9. myp2's Avatar
    thank you
    I see jailbreakMe is the easiest to use, but I dont have the correct firmware /baseband to use it.
    This might sound stupid but can I downgrade to 3.1.3 or find and use a stock 4.0.1 firmware?
    Or is it the bb 05.15.04 that will not allow it?
    Last edited by myp2; 2011-08-03 at 05:56 AM.
    2011-08-03 04:48 AM
  10. myp2's Avatar
    What program would be used to jailbreak leaving it on 4.2.1 and 05.15.o4 bb, ( I dont want to go to the ipad bb.)
    Not until the downgrade is available for that.
    2011-08-04 03:25 AM
  11. iYeow's Avatar
    Your bb 05.15.04 cannot be downgraded if you downgrade firmware . Redsnow rc 8 can jailbreak 4.2.1, if it is tethered, then run Greenpoison rc5 over it to get untethered JB
    2011-08-04 04:21 AM
  12. myp2's Avatar
    thank you
    can i do this preserving bb 05.15.04?
    if something goes wrong can i do a complete restore with itunes then use backup to reload.
    (i think greenpoison was the software my daughter tried )
    Last edited by myp2; 2011-08-04 at 04:54 AM.
    2011-08-04 04:34 AM
  13. iYeow's Avatar
    Yes , you can restore to 4.2.1 again and backup restore in itunes
    2011-08-04 05:09 AM
  14. myp2's Avatar
    is this the only programs i can use to get untethered JB,
    2011-08-04 05:33 AM
  15. iYeow's Avatar
    You can restore to custom firmware of 4.2.1

    Snowbreeze 2.2.1

    iH8sn0w.com | Jailbreak your iPod touches and iPhones

    Use redsn0w b8 to get your iphone into pwned dfu mode.
    Last edited by iYeow; 2011-08-04 at 05:45 AM.
    2011-08-04 05:42 AM
  16. myp2's Avatar
    can you suggest a link for me to follow please! instruction to install using snowbreeze and redsnow.
    I'm confused
    2011-08-04 06:01 AM
  17. iYeow's Avatar
    You can search almost all tutorials here : iClarified - Apple News and Tutorials

    Snowbreeze can do pwned dfu but i prefer redsnow
    2011-08-04 06:18 AM
  18. myp2's Avatar
    thank you, just want to make sure I know what im doing before hand. Iphone jb is not the same as other phone brands ive modded
    Spent all day reading looks like more to come!!
    2011-08-04 06:28 AM
  19. iYeow's Avatar
    It is good to ask questions and do some research before going into jailbreaking and mess it up
    Last edited by iYeow; 2011-08-04 at 07:33 AM.
    2011-08-04 06:30 AM
  20. myp2's Avatar
    ok can i use snowbreeze 2.2 and preserve bb?
    2011-08-04 07:53 AM
78 123 ...
LINK TO POST COPIED TO CLIPBOARD